#!must_be_sourced
#print "*GBSDEBUG*"
echo "======================================================================="

set -A switches GBSDEBUG_ALL GBSDEBUG_PROC

echo "GBSDEBUG_: The following EnvVars can be set:"

for switch in ${switches[*]}
do
    eval value=\$$switch
    print $switch = $value
    new_value='*'
    while [[ $new_value = '*' ]]
    do
	read ans?"  New value (0,1,Q)[$value]: "
	case $ans in
    	    0)    new_value=0 ;;
	    1)    new_value=1 ;;
    	    '')   new_value=$value ;;
	    [Qq]) new_value=Q ;;
	    *)    print "Invalid answer"
	esac
    done
    if [[ $new_value = Q ]]
    then
    	env | grep GBS_DEBUG
    	break
    else
    	eval \export $switch=$new_value
        eval value=\$$switch
    	print "  $switch = $value"
    fi
done
echo "GBSDEBUG_: Done"
### EOF ###
