#===============================================================
#
#   install_doxygen.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
#
#   Call:
#	arg_1   = func  (I == Install, U == Update)
#	arg_2	= from_dir
#	arg_3	= to_dir
#============================================================================
use strict;
use integer;

use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::args;
use gbsenv;




sub get_command_arguments();








my $FUNC;	    # I == Install, U == Update
my $FROM_DIR;
my $TO_DIR;

my $GBS_ROOT_PATH;










$| = 1;
my $RC = 0;
GBSENV_init();

get_command_arguments();





ENV_say( 1, '');

ENV_say( 0, 'STEP doxygen >doxygen/bin/doxygen.pl full',
'    EXEC        = SPECIFY',
'    TARGETS     = -',
'    AUDITS	     = -',
'STEP doxygen_api >doxygen/bin/doxygen.pl api',
'    EXEC        = SPECIFY',
'    TARGETS     = -',
'    AUDITS      = -');

ENV_say( 0, '');
ENV_say( 1, "*",
"* This installer is not implemented yet, please contact the GBS Consultant",
"*");




ENV_exit( $RC);




sub END
{
ENV_print_end_msg(1);
}




sub get_command_arguments()
{



( $FUNC,
$FROM_DIR,
$TO_DIR,
) = ARGS_get( 3, 'perl doxygen_install.pl [ I | U ] from_dir to_dir', undef);

$GBS_ROOT_PATH = GBSENV_perl_gbs_root();
ENV_fatal( "No GBS_ROOT_PATH defined")
if (!$GBS_ROOT_PATH);

}



