#===============================================================
#   File:	%FILE%
#   Component:	%COMPONENT%
#   SubSystem:	%SUBSYS%
#   System:	%SYSTEM_NAME%
#===============================================================

#===============================================================
#   Uses
#===============================================================
use strict;
use integer;

BEGIN
{
    my $cols = 80;
    if (-t STDOUT)
    {
	use Term::ReadKey qw(GetTerminalSize);
	($cols, undef) = GetTerminalSize();
    }
    print '=' x ($cols - 5) . "\n";
}

#===============================================================
#   Prototypes
#===============================================================

#===============================================================
#   Statics
#===============================================================
my $PREFIX = '%UC_NAME%';
my $RC = 0;

#===============================================================
#
#   MAIN program
#
#===============================================================
$| = 1; 			# immediate flush
print( "$PREFIX: Hello world\n");

#---------------------------------------------------------------
#   Exit
#---------------------------------------------------------------
exit $RC;

#===============================================================
#   END
#===============================================================
sub END
{
    print( "$PREFIX: " . ($?) ? "Failed ($?)\n" : "Done\n");
}

#===============================================================
#   first function
#===============================================================


### EOF ###
