@ECHO OFF
::========================================
::    %FILE% [%SYSTEM_NAME%]
::========================================
if NOT [%1] == [entry] goto :exit
    ::
    ::    set items
    ::

    if NOT [%GBS_SITE%] == [%SITE%] goto :NOT_%SITE%
        ::
        ::  %SITE%
        ::

    	::
	::  Targets
	::
	::set GBSEXT_MSVS2012_ROOT=C:\Program Files (x86)\Microsoft Visual Studio 11.0
        ::set GBSEXT_MSVS2012_SDK_ROOT=C:\Program Files (x86)\Microsoft SDKs\Windows
	
	::set GBSEXT_MINGW_ROOT=C:\MinGW
        
	::set GBSEXT_GHSBF_ROOT=C:\Tools\GHSBF

	::
	::  Audits
	::
	:: set GBSEXT_QAC_ROOT=C:\MyPrograms\PRQA\QAC
	:: set QAC_CUST_ROOT=D:\GBSEXT\qac_pdsl

	:: set GBSEXT_QACPP_ROOT=C:\MyPrograms\PRQA\QACPP
	:: set QACPP_CUST_ROOT=D:\GBSEXT\qacpp_pdsl

	:: set GBSEXT_PCLINT_ROOT=C:\MyPrograms\PCLint

	::
	::  GBS Settings
	::
	::set GBS_BG_NOTIFIER=echo BG_NOTIFIER:
        goto :end_site
    :NOT_%SITE%
    if NOT [%GBS_SITE%] == [OTHER] goto :NOT_OTHER
        ::
        ::      OTHER
        ::
        goto :end_site
    :NOT_OTHER
    	echo SWITCH.GBS: *******
    	echo SWITCH.GBS: **  Unknown site '%GBS_SITE%'
    	echo SWITCH.GBS: **  Must be one of [ %SITE% OTHER ]
	echo SWITCH.GBS: *******
	::false
	goto :error_exit
    :end_site

    ::
    ::  Targets
    ::

    ::set GBSEXT_MSVS2012_REL=2012
    ::set GBSEXT_MSVS2012_PATH=%GBSEXT_MSVS2012_ROOT%
    ::set GBSEXT_MSVS2012_SDK_REL=v7.1A
    ::set GBSEXT_MSVS2012_SDK_PATH=%GBSEXT_MSVS2012_SDK_ROOT%\%GBSEXT_MSVS2012_SDK_REL%

    ::set GBSEXT_MINGW_REL=2013072200
    ::set GBSEXT_MINGW_PATH=%GBSEXT_MINGW_ROOT%\%GBSEXT_MINGW_REL%
    ::set GBSEXT_MINGW_GCC_REL=4.8.1
    ::set GBSEXT_MINGW_CPP_REL=4.8.1
    
    ::set GBSEXT_GHSBF_REL=rel
    ::set GBSEXT_GHSBF_PATH=%GBSEXT_GHSBF_ROOT\%BF_REL%\win32

    ::
    ::  Audits
    ::
    ::set GBSEXT_QAC_REL=7.1.1
    ::set GBSEXT_QAC_PATH=%GBSEXT_QAC_ROOT%-%GBSEXT_QAC_REL%

    ::set GBSEXT_QACPP_REL=2.4.1
    ::set GBSEXT_QACPP_PATH=%GBSEXT_QACPP_ROOT%-%GBSEXT_QACPP_REL%

    ::SET GBSEXT_PCLINT_REL=8.00x
    ::SET GBSEXT_PCLINT_PATH=%GBSEXT_PCLINT_ROOT%

    ::
    ::	Audit Tools
    ::
    ::set QAC_REL=%GBSEXT_QAC_REL%
    ::set QACROOT=%GBSEXT_QAC_PATH%
    ::set QAC_CUST_DIR=%QAC_CUST_ROOT%\%QAC_REL%
    ::set QAC_PDSL_DIR=%QAC_CUST_DIR%
    ::doskey qaccust=%QAC_PDSL_DIR%\qaccust.bat $*

    ::set QACPP_REL=%GBSEXT_QACPP_REL%
    ::set QACPPROOT=%GBSEXT_QACPP_PATH%
    ::set QACPP_CUST_DIR=%QACPP_CUST_ROOT%\%QACPP_REL%
    ::set QACPP_PDSL_DIR=%QACPP_CUST_DIR%
    ::doskey qacppcust=%QACPP_PDSL_DIR%\qacppcust.bat $*

    goto :end_entry_exit
:exit
if NOT [%1] == [exit] goto :no_entry_exit
    ::
    ::	Unset items
    ::	(GBSEXT_... are all unset by GBS)
    ::

    ::set QAC_ROOT=
    ::set QAC_REL=
    ::set QACROOT=
    ::set QAC_CUST_DIR=
    ::doskey qaccust=

    ::set QACPP_ROOT=
    ::set QACPP_REL=
    ::set QACPPROOT=
    ::set QACPP_CUST_DIR=
    ::set QACPP_MSVC98_DIR=
    ::doskey qacppcust=

    goto :end_entry_exit
:no_entry_exit
    echo SWITCH.GBS: *****
    echo SWITCH.GBS: ** switch.gbs.bat: Usage = call switch.gbs.bat [ entry ^| exit ]
    echo SWITCH.GBS: *****
    goto :error_exit
:end_entry_exit
:: true
goto :EOF

:error_exit
::
::  Error-exit
::
set GBS_RC=1
goto :EOF

:::EOF:::
